# Uses of Interface
org.eclipse.core.filebuffers.ITextFileBuffer

Packages that use ITextFileBuffer
Package
Description
org.eclipse.core.filebuffers
Provides the API for accessing file buffers.
org.eclipse.core.filebuffers.manipulation
Provides the API for manipulating file buffers.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.

## Uses of ITextFileBuffer in org.eclipse.core.filebuffers

Methods in org.eclipse.core.filebuffers that return ITextFileBuffer
Modifier and Type
Method
Description
`ITextFileBuffer`
ITextFileBufferManager.`getFileStoreTextFileBuffer(IFileStore fileStore)`
Returns the text file buffer managed for the given file store or `null` if there is no such text file buffer.
`ITextFileBuffer`
ITextFileBufferManager.`getTextFileBuffer(IPath location)`
Deprecated.
As of 3.3, replaced by `ITextFileBufferManager.getTextFileBuffer(IPath, LocationKind)`
`ITextFileBuffer`
ITextFileBufferManager.`getTextFileBuffer(IPath location, LocationKind locationKind)`
Returns the text file buffer managed for the file at the given location or `null` if there is no such text file buffer.
`ITextFileBuffer`
ITextFileBufferManager.`getTextFileBuffer(IDocument document)`
Returns the text file buffer managed for the given document or `null` if there is no such text file buffer.

## Uses of ITextFileBuffer in org.eclipse.core.filebuffers.manipulation

Methods in org.eclipse.core.filebuffers.manipulation with parameters of type ITextFileBuffer
Modifier and Type
Method
Description
`protected MultiTextEditWithProgress`
ConvertLineDelimitersOperation.`computeTextEdit(ITextFileBuffer fileBuffer, IProgressMonitor progressMonitor)`
`protected MultiTextEditWithProgress`
RemoveTrailingWhitespaceOperation.`computeTextEdit(ITextFileBuffer fileBuffer, IProgressMonitor progressMonitor)`
`protected abstract MultiTextEditWithProgress`
TextFileBufferOperation.`computeTextEdit(ITextFileBuffer textFileBuffer, IProgressMonitor progressMonitor)`
Computes and returns a text edit.

## Uses of ITextFileBuffer in org.eclipse.ui.editors.text

Fields in org.eclipse.ui.editors.text declared as ITextFileBuffer
Modifier and Type
Field
Description
`ITextFileBuffer`
TextFileDocumentProvider.FileInfo.`fTextFileBuffer`